Site Financial Analysis¶
Update Financial Analysis For Site¶
HTTP Request
PUT /api/financial-analyses/{financialAnalysisId}/sites/{siteId}
📋 Description: Updates the specified site information within a financial analysis in the Nakisa Portfolio Management Suite, enabling users to manage and optimize real estate asset portfolios effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
financialAnalysisId |
path |
integer(int64) |
true |
Unique identifier for the financial analysis |
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
body |
body |
true |
Request body containing the updated site information and financial analysis parameters for the specified real estate property within the portfolio. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "discountRate": 0.1,
10 "netPresentValue": 0.1,
11 "returnOnInvestment": 0.1,
12 "breakEvenPoint": 0.1,
13 "name": "string",
14 "site": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "storeNumber": "string",
24 "fileNumber": "string",
25 "businessUnitId": 0,
26 "propertyTypeId": 0,
27 "buildingTypeId": 0,
28 "siteQualityId": 0,
29 "areaTypeId": 0,
30 "unitId": 0,
31 "area": 0,
32 "defaultCurrencyId": 0,
33 "typeId": 0,
34 "legalEntityIds": [
35 0
36 ],
37 "siteManagerId": 0,
38 "siteStatusId": 0,
39 "referenceLocationId": 0,
40 "draft": true
41 },
42 "siteId": 0,
43 "siteFinancialViabilityDtos": [
44 {
45 "createdBy": "string",
46 "lastModifiedBy": "string",
47 "createdDate": "2019-08-24T14:15:22Z",
48 "lastModifiedDate": "2019-08-24T14:15:22Z",
49 "archived": true,
50 "externalId": "string",
51 "id": 0,
52 "year": 0,
53 "salesGrowth": 0.1,
54 "salesRevenue": 0.1,
55 "otherIncome": 0.1,
56 "totalIncome": 0.1,
57 "siteAcquisitionCost": 0.1,
58 "renovationCost": 0.1,
59 "marketingExpense": 0.1,
60 "initialInventory": 0.1,
61 "operatingCost": 0.1,
62 "maintenanceCost": 0.1,
63 "landlordIncentive": 0.1,
64 "totalInvestment": 0.1,
65 "netCashFlow": 0.1,
66 "openingBalance": 0.1,
67 "closingBalance": 0.1,
68 "siteFinancialAnalysisId": 0
69 }
70 ],
71 "mainScenario": true
72}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Get Site Financial Analysis By Site Id¶
HTTP Request
GET /api/financial-analyses/sites/{siteId}
📋 Description: Retrieves financial analyses for a specified site within the Nakisa Portfolio Management Suite, enabling users to assess portfolio performance and asset metrics related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "discountRate": 0.1,
10 "netPresentValue": 0.1,
11 "returnOnInvestment": 0.1,
12 "breakEvenPoint": 0.1,
13 "name": "string",
14 "site": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "storeNumber": "string",
24 "fileNumber": "string",
25 "businessUnitId": 0,
26 "propertyTypeId": 0,
27 "buildingTypeId": 0,
28 "siteQualityId": 0,
29 "areaTypeId": 0,
30 "unitId": 0,
31 "area": 0,
32 "defaultCurrencyId": 0,
33 "typeId": 0,
34 "legalEntityIds": [
35 0
36 ],
37 "siteManagerId": 0,
38 "siteStatusId": 0,
39 "referenceLocationId": 0,
40 "draft": true
41 },
42 "siteId": 0,
43 "siteFinancialViabilityDtos": [
44 {
45 "createdBy": "string",
46 "lastModifiedBy": "string",
47 "createdDate": "2019-08-24T14:15:22Z",
48 "lastModifiedDate": "2019-08-24T14:15:22Z",
49 "archived": true,
50 "externalId": "string",
51 "id": 0,
52 "year": 0,
53 "salesGrowth": 0.1,
54 "salesRevenue": 0.1,
55 "otherIncome": 0.1,
56 "totalIncome": 0.1,
57 "siteAcquisitionCost": 0.1,
58 "renovationCost": 0.1,
59 "marketingExpense": 0.1,
60 "initialInventory": 0.1,
61 "operatingCost": 0.1,
62 "maintenanceCost": 0.1,
63 "landlordIncentive": 0.1,
64 "totalInvestment": 0.1,
65 "netCashFlow": 0.1,
66 "openingBalance": 0.1,
67 "closingBalance": 0.1,
68 "siteFinancialAnalysisId": 0
69 }
70 ],
71 "mainScenario": true
72}
Create Financial Analysis For Site¶
HTTP Request
POST /api/financial-analyses/sites/{siteId}
📋 Description: Creates a financial analysis for a specified site within the Nakisa Portfolio Management Suite, enabling users to evaluate portfolio performance and asset analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
body |
body |
true |
Request body containing financial analysis data for the specified site, including portfolio metrics and asset performance indicators relevant to real estate property analytics. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "discountRate": 0.1,
10 "netPresentValue": 0.1,
11 "returnOnInvestment": 0.1,
12 "breakEvenPoint": 0.1,
13 "name": "string",
14 "site": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "storeNumber": "string",
24 "fileNumber": "string",
25 "businessUnitId": 0,
26 "propertyTypeId": 0,
27 "buildingTypeId": 0,
28 "siteQualityId": 0,
29 "areaTypeId": 0,
30 "unitId": 0,
31 "area": 0,
32 "defaultCurrencyId": 0,
33 "typeId": 0,
34 "legalEntityIds": [
35 0
36 ],
37 "siteManagerId": 0,
38 "siteStatusId": 0,
39 "referenceLocationId": 0,
40 "draft": true
41 },
42 "siteId": 0,
43 "siteFinancialViabilityDtos": [
44 {
45 "createdBy": "string",
46 "lastModifiedBy": "string",
47 "createdDate": "2019-08-24T14:15:22Z",
48 "lastModifiedDate": "2019-08-24T14:15:22Z",
49 "archived": true,
50 "externalId": "string",
51 "id": 0,
52 "year": 0,
53 "salesGrowth": 0.1,
54 "salesRevenue": 0.1,
55 "otherIncome": 0.1,
56 "totalIncome": 0.1,
57 "siteAcquisitionCost": 0.1,
58 "renovationCost": 0.1,
59 "marketingExpense": 0.1,
60 "initialInventory": 0.1,
61 "operatingCost": 0.1,
62 "maintenanceCost": 0.1,
63 "landlordIncentive": 0.1,
64 "totalInvestment": 0.1,
65 "netCashFlow": 0.1,
66 "openingBalance": 0.1,
67 "closingBalance": 0.1,
68 "siteFinancialAnalysisId": 0
69 }
70 ],
71 "mainScenario": true
72}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
integer |
Example Responses
10
Get Financial Analysis By Project Id And Site Id¶
HTTP Request
GET /api/financial-analyses/projects/{projectId}/sites/{siteId}
📋 Description: Fetches detailed financial analysis data for a specific site within a project in the Nakisa Portfolio Management Suite, enabling users to assess portfolio performance and asset management insights in the context of real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "discountRate": 0.1,
11 "netPresentValue": 0.1,
12 "returnOnInvestment": 0.1,
13 "breakEvenPoint": 0.1,
14 "name": "string",
15 "site": {
16 "createdBy": "string",
17 "lastModifiedBy": "string",
18 "createdDate": "2019-08-24T14:15:22Z",
19 "lastModifiedDate": "2019-08-24T14:15:22Z",
20 "archived": true,
21 "externalId": "string",
22 "id": 0,
23 "name": "string",
24 "storeNumber": "string",
25 "fileNumber": "string",
26 "businessUnitId": 0,
27 "propertyTypeId": 0,
28 "buildingTypeId": 0,
29 "siteQualityId": 0,
30 "areaTypeId": 0,
31 "unitId": 0,
32 "area": 0,
33 "defaultCurrencyId": 0,
34 "typeId": 0,
35 "legalEntityIds": [
36 0
37 ],
38 "siteManagerId": 0,
39 "siteStatusId": 0,
40 "referenceLocationId": 0,
41 "draft": true
42 },
43 "siteId": 0,
44 "siteFinancialViabilityDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "year": 0,
54 "salesGrowth": 0.1,
55 "salesRevenue": 0.1,
56 "otherIncome": 0.1,
57 "totalIncome": 0.1,
58 "siteAcquisitionCost": 0.1,
59 "renovationCost": 0.1,
60 "marketingExpense": 0.1,
61 "initialInventory": 0.1,
62 "operatingCost": 0.1,
63 "maintenanceCost": 0.1,
64 "landlordIncentive": 0.1,
65 "totalInvestment": 0.1,
66 "netCashFlow": 0.1,
67 "openingBalance": 0.1,
68 "closingBalance": 0.1,
69 "siteFinancialAnalysisId": 0
70 }
71 ],
72 "mainScenario": true
73 }
74]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the financial analysis of real estate properties within a portfolio, providing insights and analytics to support informed decision-making in asset management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» discountRate |
number(double) |
false |
none |
Rate of discount |
» netPresentValue |
number(double) |
false |
none |
Value for netPresentValue field |
» returnOnInvestment |
number(double) |
false |
none |
Value for returnOnInvestment field |
» breakEvenPoint |
number(double) |
false |
none |
Value for breakEvenPoint field |
» name |
string |
false |
none |
Name of the resource |
» site |
false |
none |
Data transfer object representing a site within the Nakisa Portfolio Management Suite, encompassing essential details related to real estate properties, portfolio management, and asset analytics. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» name |
string |
true |
none |
Name of the resource |
»» storeNumber |
string |
true |
none |
Text value for storeNumber in Site |
»» fileNumber |
string |
false |
none |
Text value for fileNumber in Site |
»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»» propertyTypeId |
integer(int64) |
false |
none |
Unique identifier for the property type |
»» buildingTypeId |
integer(int64) |
false |
none |
Unique identifier for the building type |
»» siteQualityId |
integer(int64) |
false |
none |
Unique identifier for the site quality |
»» areaTypeId |
integer(int64) |
false |
none |
Unique identifier for the area type |
»» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
»» area |
number |
false |
none |
Value for area field |
»» defaultCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the default currency |
»» typeId |
integer(int64) |
false |
none |
Unique identifier for the type |
»» legalEntityIds |
[integer] |
false |
none |
List of legalEntityIds items |
»» siteManagerId |
integer(int64) |
false |
none |
Unique identifier for the site manager |
»» siteStatusId |
integer(int64) |
false |
none |
Unique identifier for the site status |
»» referenceLocationId |
integer(int64) |
false |
none |
Unique identifier for the reference location |
»» draft |
boolean |
false |
none |
Boolean flag indicating draft status |
» siteId |
integer(int64) |
false |
none |
Unique identifier for the site |
» siteFinancialViabilityDtos |
false |
none |
List of siteFinancialViabilityDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» year |
integer(int32) |
false |
none |
Numeric value representing year |
»» salesGrowth |
number(double) |
false |
none |
Value for salesGrowth field |
»» salesRevenue |
number(double) |
false |
none |
Value for salesRevenue field |
»» otherIncome |
number(double) |
false |
none |
Value for otherIncome field |
»» totalIncome |
number(double) |
false |
none |
Value for totalIncome field |
»» siteAcquisitionCost |
number(double) |
false |
none |
Value for siteAcquisitionCost field |
»» renovationCost |
number(double) |
false |
none |
Value for renovationCost field |
»» marketingExpense |
number(double) |
false |
none |
Value for marketingExpense field |
»» initialInventory |
number(double) |
false |
none |
Value for initialInventory field |
»» operatingCost |
number(double) |
false |
none |
Value for operatingCost field |
»» maintenanceCost |
number(double) |
false |
none |
Value for maintenanceCost field |
»» landlordIncentive |
number(double) |
false |
none |
Value for landlordIncentive field |
»» totalInvestment |
number(double) |
false |
none |
Value for totalInvestment field |
»» netCashFlow |
number(double) |
false |
none |
Value for netCashFlow field |
»» openingBalance |
number(double) |
false |
none |
Value for openingBalance field |
»» closingBalance |
number(double) |
false |
none |
Value for closingBalance field |
»» siteFinancialAnalysisId |
integer(int64) |
false |
none |
Unique identifier for the site financial analysis |
» mainScenario |
boolean |
false |
none |
Boolean flag indicating mainScenario status |
Update And Create Financial Analysis By Project Id And Site Id¶
HTTP Request
POST /api/financial-analyses/projects/{projectId}/sites/{siteId}
📋 Description: Creates a new financial analysis for a specified project and site within the Nakisa Portfolio Management Suite, enabling enhanced asset and portfolio analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
body |
body |
true |
Request body containing financial analysis data for the specified project and site, including key metrics and analytics relevant to portfolio and asset management. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "discountRate": 0.1,
11 "netPresentValue": 0.1,
12 "returnOnInvestment": 0.1,
13 "breakEvenPoint": 0.1,
14 "name": "string",
15 "site": {
16 "createdBy": "string",
17 "lastModifiedBy": "string",
18 "createdDate": "2019-08-24T14:15:22Z",
19 "lastModifiedDate": "2019-08-24T14:15:22Z",
20 "archived": true,
21 "externalId": "string",
22 "id": 0,
23 "name": "string",
24 "storeNumber": "string",
25 "fileNumber": "string",
26 "businessUnitId": 0,
27 "propertyTypeId": 0,
28 "buildingTypeId": 0,
29 "siteQualityId": 0,
30 "areaTypeId": 0,
31 "unitId": 0,
32 "area": 0,
33 "defaultCurrencyId": 0,
34 "typeId": 0,
35 "legalEntityIds": [
36 0
37 ],
38 "siteManagerId": 0,
39 "siteStatusId": 0,
40 "referenceLocationId": 0,
41 "draft": true
42 },
43 "siteId": 0,
44 "siteFinancialViabilityDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "year": 0,
54 "salesGrowth": 0.1,
55 "salesRevenue": 0.1,
56 "otherIncome": 0.1,
57 "totalIncome": 0.1,
58 "siteAcquisitionCost": 0.1,
59 "renovationCost": 0.1,
60 "marketingExpense": 0.1,
61 "initialInventory": 0.1,
62 "operatingCost": 0.1,
63 "maintenanceCost": 0.1,
64 "landlordIncentive": 0.1,
65 "totalInvestment": 0.1,
66 "netCashFlow": 0.1,
67 "openingBalance": 0.1,
68 "closingBalance": 0.1,
69 "siteFinancialAnalysisId": 0
70 }
71 ],
72 "mainScenario": true
73 }
74]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "discountRate": 0.1,
10 "netPresentValue": 0.1,
11 "returnOnInvestment": 0.1,
12 "breakEvenPoint": 0.1,
13 "name": "string",
14 "site": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "storeNumber": "string",
24 "fileNumber": "string",
25 "businessUnitId": 0,
26 "propertyTypeId": 0,
27 "buildingTypeId": 0,
28 "siteQualityId": 0,
29 "areaTypeId": 0,
30 "unitId": 0,
31 "area": 0,
32 "defaultCurrencyId": 0,
33 "typeId": 0,
34 "legalEntityIds": [
35 0
36 ],
37 "siteManagerId": 0,
38 "siteStatusId": 0,
39 "referenceLocationId": 0,
40 "draft": true
41 },
42 "siteId": 0,
43 "siteFinancialViabilityDtos": [
44 {
45 "createdBy": "string",
46 "lastModifiedBy": "string",
47 "createdDate": "2019-08-24T14:15:22Z",
48 "lastModifiedDate": "2019-08-24T14:15:22Z",
49 "archived": true,
50 "externalId": "string",
51 "id": 0,
52 "year": 0,
53 "salesGrowth": 0.1,
54 "salesRevenue": 0.1,
55 "otherIncome": 0.1,
56 "totalIncome": 0.1,
57 "siteAcquisitionCost": 0.1,
58 "renovationCost": 0.1,
59 "marketingExpense": 0.1,
60 "initialInventory": 0.1,
61 "operatingCost": 0.1,
62 "maintenanceCost": 0.1,
63 "landlordIncentive": 0.1,
64 "totalInvestment": 0.1,
65 "netCashFlow": 0.1,
66 "openingBalance": 0.1,
67 "closingBalance": 0.1,
68 "siteFinancialAnalysisId": 0
69 }
70 ],
71 "mainScenario": true
72}
Delete Financial Analysis¶
HTTP Request
DELETE /api/financial-analyses/{id}
📋 Description: Deletes a specified financial analysis from the Nakisa Portfolio Management Suite, enabling users to maintain accurate and relevant analytics for their portfolio and real estate assets.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |